POST /one-post-create-session-job¶
Summary¶
Source repository:
jef-systems/jef-one-backendSource SHA:
e96c5a3e498688e508b48a6c244ebbcb28dec45fSource run id:
25680569267Module:
OneLambda function:
jef-one-post-create-session-jobHTTP method:
POSTInvocation mode:
asyncPackage mode:
with-packagesAPI category:
One Complex With Package Async POST APIsAPI path:
/one-post-create-session-jobEndpoint URL:
https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-post-create-session-jobDocumentation scope:
lambda-complex-with-packages
Async Confirmation Rule¶
This write API is documented as an async accepted request, not final write success. Use the corresponding GET API to confirm the final state.
Description¶
Accepts an asynchronous job to create a jef-one session. Use GET to confirm final state.
Payload Example¶
{
"entity_number": "1001",
"employee_number": "00001",
"session_id": "session-00001",
"app_type": "mobile",
"app_number": "001"
}
Payload Schema¶
{
"entity_number": "string",
"employee_number": "string",
"session_id": "string",
"app_type": "string",
"app_number": "string"
}
Response Schema¶
{
"is_accepted": "boolean",
"message": "string",
"operation": "string",
"job_id": "string",
"job_status": "string",
"target_table": "string",
"target_pk": "string",
"confirmation": "string",
"allowed_method": "string",
"error_type": "string",
"error_code": "string",
"errors": "array",
"error": "string"
}
Request Payload¶
{
"entity_number": "1001",
"employee_number": "00001",
"session_id": "session-00001",
"app_type": "mobile",
"app_number": "001"
}
CMD curl¶
curl -X POST "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-post-create-session-job" -H "Content-Type: application/json" -d '{"entity_number": "1001", "employee_number": "00001", "session_id": "session-00001", "app_type": "mobile", "app_number": "001"}'
PowerShell curl¶
curl.exe -X POST "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-post-create-session-job" -H "Content-Type: application/json" -d "{\"entity_number\": \"1001\", \"employee_number\": \"00001\", \"session_id\": \"session-00001\", \"app_type\": \"mobile\", \"app_number\": \"001\"}"